import JRow from "./components/row";
import JCol from "./components/col";
import JButton from "./components/button";
import JChcekbox from "./components/checkbox";
import JRadio from "./components/radio";
import JInput from "./components/input";
import JTeatarea from "./components/textarea";
import JSelect from "./components/select";
import JDropdown from "./components/dropdown";
import JTree from "./components/tree";

const components = [
  JRow,
  JCol,
  JButton,
  JChcekbox,
  JRadio,
  JInput,
  JTeatarea,
  JSelect,
  JDropdown,
  JTree
];

const install = function (Vue) {
  components.forEach(component => {
    Vue.use(component);
  });
};

export default {
  version: process.env.VERSION,
  install,
  ...components
};
