process.env.VERSION = require("./package.json").version;

module.exports = {
  publicPath: "jie-web-components",
  chainWebpack: config => {
    config.module
      .rule("md")
      .test(/\.md/)
      .use("vue-loader")
      .loader("vue-loader")
      .options({
        compilerOptions: {
          preserveWhitespace: false
        }
      })
      .end()
      .use("markdown-loader")
      .loader(
        require("path").resolve(__dirname, "./webpack/markdown-loader.js")
      )
      .end();
  }
};
